import 'package:flutter/material.dart';

abstract class GradientWidget extends StatelessWidget {
  final Color startColor;
  final Color endColor;
  final Angle angle;
  GradientWidget(
      {Key key,
      @required this.startColor,
      @required this.endColor,
      this.angle = Angle.TLBR})
      : super(key: key);
}

enum Angle { LR, TLBR, TB, TRBL, RL, BRTL, BT, BLTR }
